Delete Zia Data Enrichment Configuration

Purpose

To delete an existing data enrichment configuration. 

Prerequisite: Use the Get Data Enrichment Fields Metadata API to retrieve the configuration IDs.

  • DELETE /settings/zia/data_enrichment/{configuration_ID} 

Request Details

Request URL

{api-domain}/crm/{version}/settings/zia/data_enrichment/{configuration_ID}

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.Zia.enrichment.ALL 
(or)
ZohoCRM.Zia.enrichment.DELETE 

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/zia/data_enrichment/5725767000000423015"
-X DELETE
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Possible Errors

  • INVALID_DATAHTTP 400

    Invalid configuration ID has been given
    Resolution: You have specified an invalid configuration ID. Specify a valid configuration ID. Use the Get Data Enrichment Fields Metadata API to retrieve the configuration IDs.

  • NO_PERMISSIONHTTP 400

    No permission to delete the configuration 
    Resolution: You do not have permission to delete the configuration. Contact your administrator.

  • FEATURE_NOT_ENABLEDHTTP 400

    Data enrichment feature is not enabled for your account
    Resolution: Enable data enrichment feature or contact your system administrator.

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL.
    Specify a valid request method. Refer to Endpoints section for details.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to delete the data enrichment configuration. Create a new token with valid scope. Refer to Scope section above.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "data_enrichment": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "5725767000000423015"
            },
            "message": "Enrichment deleted successfully",
            "status": "success"
        }
    ]
}